#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define		pdir	Pod
%define		pnam	Parser
Summary:	Pod::Parser - base class for creating POD filters and translators
Summary(pl.UTF-8):	Pod::Parser - klasa bazowa do tworzenia klas filtrujących i tłumaczących POD
Name:		perl-Pod-Parser
Version:	1.66
Release:	1%{?tld}
Epoch:		1
# I'm not sure how to interpret the README...
License:	Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/Pod/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c1d20031bc2b75ea0fe7bf6d313b1d30
URL:		https://metacpan.org/dist/Pod-Parser
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.60
%endif
# podselect used to be bundled in perl-tools-pod
Conflicts:	perl-tools-pod < 1:5.32
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
  This parrot is dead. It has ceased to be.
  It's gone to meet it's Maker! THIS IS AN EX-PARROT!
    -- The Dead Parrot Sketch, Monty Python's Flying Circus

Do s/parrot/package/g and you know the status of this distribution.

Pod::Parser is a base class for creating POD filters and translators.
It handles most of the effort involved with parsing the POD sections
from an input stream, leaving subclasses free to be concerned only
with performing the actual translation of text.

Pod::Parser parses PODs, and makes method calls to handle the various
components of the POD. Subclasses of Pod::Parser override these
methods to translate the POD into whatever output format they desire.

%description -l pl.UTF-8
  Ta papuga jest martwa. Przestała istnieć.
  Odeszła na spotkanie ze swoim stwórcą! TO JEST EX-PAPUGA!
    -- skecz "Martwa Papuga", Latający Cyrk Monty Pythona

Wykonaj s/papuga/pakiet/g, a poznasz status tego modułu.

Pod::Parser to klasa bazowa do tworzenia klas filtrujących i
tłumaczących POD. Obsługuje większą część zadań związanych z analizą
sekcji POD ze strumienia wejściowego, pozostawiając podklasom jedynie
przeprowadzanie samego tłumaczenia tekstu.

Pod::Parser przetwarza pliki POD i wywołuje metody obsługujące różne
komponenty POD. Podklasy Pod::Parser przykrywają te metody w celu
tłumaczenia POD na żądany format wyjściowy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/podselect
%{perl_vendorlib}/Pod/Find.pm
%{perl_vendorlib}/Pod/InputObjects.pm
%{perl_vendorlib}/Pod/ParseUtils.pm
%{perl_vendorlib}/Pod/Parser.pm
%{perl_vendorlib}/Pod/PlainText.pm
%{perl_vendorlib}/Pod/Select.pm
%{_mandir}/man1/podselect.1p*
%{_mandir}/man3/Pod::Find.3pm*
%{_mandir}/man3/Pod::InputObjects.3pm*
%{_mandir}/man3/Pod::ParseUtils.3pm*
%{_mandir}/man3/Pod::Parser.3pm*
%{_mandir}/man3/Pod::PlainText.3pm*
%{_mandir}/man3/Pod::Select.3pm*
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Pod-Parser.git;a=log;h=master

* Wed Sep 06 2023 Jakub Bogusz <qboosh@pld-linux.org> ab8a7cd
- updated to 1.66

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 2e52afa
- restore original binary name (podselect) for perl 5.32+; release 2

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> 4d7b4b0
- up to 1.63, perl 5.32 does not bundle it anymore

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 35292a6
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 632fc9f
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> ebe7f86
- up to 1.61 (1.60 is in perl 5.18.0)

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 3cad86e
- executable bin scripts
- test BRs

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 1e9a644
- release 2

* Tue Oct 13 2009 amateja <amateja@pld-linux.org> 8e2fc19
- epoch 1

* Wed Oct 07 2009 amateja <amateja@pld-linux.org> 95d5f99
- 1.38

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 6f4de11
- removed remnants of obsolete broken patch

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> fcb9a51
- generic URL

* Sun Jun 03 2007 Maciej Pijanka <agaran@pld-linux.org> 487008b
- up to 1.35, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6477ced
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 416ce03
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 40874f5
- orphaned, outdated

* Tue Apr 04 2006 radek <radek@pld-linux.org> 238cf7f
- version 1.34

* Sun Jun 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 0ed3f1b
- use pl version of sketch quotes (by Tomasz Beksinski)

* Sat Jun 11 2005 radek <radek@pld-linux.org> 3b781d9
- release 3: resolve conflict with perl-tools (mv * *.cpan)

* Sat Jun 11 2005 radek <radek@pld-linux.org> 4082bbf
- this parrot is dead (updated description)

